Reset sandbox to initial state
curl --request POST \
--url https://api.klavis.ai/sandbox/{server_name}/{sandbox_id}/reset \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klavis.ai/sandbox/{server_name}/{sandbox_id}/reset"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/sandbox/{server_name}/{sandbox_id}/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/sandbox/{server_name}/{sandbox_id}/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"sandbox_id": "<string>",
"status": "idle",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sandbox
Reset sandbox to initial state
Reset the sandbox to its initial empty state, clearing all data while maintaining the sandbox instance.
POST
/
sandbox
/
{server_name}
/
{sandbox_id}
/
reset
Reset sandbox to initial state
curl --request POST \
--url https://api.klavis.ai/sandbox/{server_name}/{sandbox_id}/reset \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klavis.ai/sandbox/{server_name}/{sandbox_id}/reset"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/sandbox/{server_name}/{sandbox_id}/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/sandbox/{server_name}/{sandbox_id}/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"sandbox_id": "<string>",
"status": "idle",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your Klavis AI API key.
Path Parameters
The MCP server name
Available options:
jira, github, salesforce, hubspot, notion, airtable, linear, asana, google_sheets, google_drive, google_docs, gmail, google_calendar, google_forms, clickup, close, monday, motion, onedrive, microsoft_teams, outlook_mail, cal.com, quickbooks, moneybird, dropbox, shopify, woocommerce, outlook_calendar, resend, wordpress, mem0, supabase, slack, confluence, discord, snowflake, postgres, mongodb, youtube, googleworkspaceatlas, huggingface, mock_notion, arxiv_latex, calculator, clinicaltrialsgov, fetch, met_museum, open_library, osm, pubmed, us_weather, duckduckgo, whois, wikipedia, scholarly, howtocook, yahoo_finance, 12306, youtube_transcript, weather, twelvedata, national_parks, lara_translate, e2b, context7, alchemy, weights_and_biases, oxylabs, google_maps, brave_search, exa, serper The unique sandbox identifier
